%define upstream_name    Complete-Bash
%define upstream_version 0.337

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Completion module for bash shell
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Log::ger) >= 0.38.0
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Bash allows completion to come from various sources. The simplest is from a
list of words ('-W'):

 % complete -W "one two three four" somecmd
 % somecmd t<Tab>
 two  three

Another source is from a bash function ('-F'). The function will receive
input in two variables: 'COMP_WORDS' (array, command-line chopped into
words) and 'COMP_CWORD' (integer, index to the array of words indicating
the cursor position). It must set an array variable 'COMPREPLY' that
contains the list of possible completion:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.337.0-2.mga10
+ Revision: 2216688
- Mageia 10 Mass Rebuild

* Thu Dec 08 2022 tv <tv> 0.337.0-1.mga9
+ Revision: 1919209
- update to 0.337

* Mon Mar 21 2022 umeabot <umeabot> 0.336.0-2.mga9
+ Revision: 1814813
- Mageia 9 Mass Rebuild

* Mon Jul 26 2021 tv <tv> 0.336.0-1.mga9
+ Revision: 1737889
- update to 0.336

* Sun Jun 28 2020 tv <tv> 0.335.0-1.mga8
+ Revision: 1599725
- update to 0.335

* Thu Feb 20 2020 umeabot <umeabot> 0.334.0-2.mga8
+ Revision: 1545598
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.334.0-1.mga8
+ Revision: 1484901
- update to 0.334

* Sun Dec 22 2019 tv <tv> 0.332.0-1.mga8
+ Revision: 1469391
- update to 0.332

* Thu Dec 19 2019 tv <tv> 0.331.0-1.mga8
+ Revision: 1468871
- update to 0.331

* Thu Oct 03 2019 tv <tv> 0.330.0-1.mga8
+ Revision: 1448997
- update to 0.330

* Wed Sep 25 2019 tv <tv> 0.329.0-1.mga8
+ Revision: 1445864
- update to 0.329

* Mon Aug 05 2019 tv <tv> 0.328.0-1.mga8
+ Revision: 1427478
- update to 0.328

* Wed Jul 24 2019 tv <tv> 0.327.0-1.mga8
+ Revision: 1423699
- update to 0.327

* Thu Jul 18 2019 tv <tv> 0.325.0-1.mga8
+ Revision: 1422462
- update to 0.325

* Sat Jun 29 2019 tv <tv> 0.324.0-1.mga8
+ Revision: 1415913
- update to 0.324

* Tue Dec 04 2018 shlomif <shlomif> 0.320.0-1.mga7
+ Revision: 1338278
- update to 0.320

* Wed Sep 19 2018 umeabot <umeabot> 0.210.0-4.mga7
+ Revision: 1266576
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.210.0-3.mga6
+ Revision: 1024270
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.210.0-2.mga6
+ Revision: 969984
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.210.0-1.mga6
+ Revision: 884437
- update to 0.21

* Sun Sep 06 2015 sander85 <sander85> 0.200.0-1.mga6
+ Revision: 873422
- update to 0.20

* Tue Jul 07 2015 sander85 <sander85> 0.190.0-1.mga6
+ Revision: 852497
- update to 0.19

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 741284
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-2.mga5
+ Revision: 683961
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 guillomovitch <guillomovitch> 0.110.0-1.mga5
+ Revision: 658006
- imported package perl-Complete-Bash


* Tue Jul 29 2014 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
